package eventChangeLight
{
	function serverCmdLight(%client)
	{
		%l = %client.player.light;
		Parent::serverCmdLight(%client);
		if(isObject(%client.player.light) && %client.player.lightData !$= "" && %client.player.light != %l)
		{
			%client.player.light.delete();
			%light = new fxlight()
			{
				dataBlock = %client.player.lightData;
				enable = true;
				iconsize = 1;
				player = %client.player;
			};
			%light.attachToObject(%client.player);
			%client.player.light = %light;
		}
	}
};

function Player::ChangePlayerLight(%this,%data)
{
	if(isObject(%this.client))
	{
		%this.lightData = %data;
		if(isObject(%this.light))
		{
			%this.light.delete();
			serverCmdLight(%this.client);
		}
	}
}

activatePackage(eventChangeLight);
RegisterOutputEvent(Player,ChangePlayerLight,"dataBlock FxLightData");